Bug 33225 - Слинкуется с libpng12 и libpng15 одновременно
: Слинкуется с libpng12 и libpng15 одновременно
Status: CLOSED NOTABUG
: Sisyphus
(All bugs in Sisyphus/libspectre)
: unstable
: all Linux
: P3 normal
Assigned To:
:
: https://github.com/vitlav/checkduplic...
:
: 33220
:
  Show dependency tree
 
Reported: 2017-03-10 01:17 by
Modified: 2017-03-10 03:23 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2017-03-10 01:17:50
$ ldd /usr/lib64/libspectre.so.1.1.8  | grep png
    libpng12.so.0 => /usr/lib64/libpng12.so.0 (0x00007f3d62183000)
    libpng15.so.15 => /usr/lib64/libpng15.so.15 (0x00007f3d5faf3000)

libspectre-0.2.8.0.1.f88d2c2-alt1.x86_64
------- Comment #1 From 2017-03-10 01:25:55 -------
Нет, не слинкован:

$ readelf -dW /usr/lib64/libspectre.so.1 | grep NEEDED
 0x0000000000000001 (NEEDED)             Shared library: [libgs.so.9]
 0x0000000000000001 (NEEDED)             Shared library: [libc.so.6]
------- Comment #2 From 2017-03-10 02:27:15 -------
А так?
$ readelf -dW /usr/lib64/libgs.so.9 | grep NEEDED | grep png
 0x0000000000000001 (NEEDED)             Совм. исп. библиотека: [libpng12.so.0]
$ readelf -dW /usr/lib64/libgs.so.9 | grep NEEDED | grep freetype
 0x0000000000000001 (NEEDED)             Совм. исп. библиотека:
[libfreetype.so.6]
$ readelf -dW /usr/lib64/libfreetype.so.6 | grep NEEDED | grep png
 0x0000000000000001 (NEEDED)             Совм. исп. библиотека:
[libpng15.so.15]
------- Comment #3 From 2017-03-10 02:38:31 -------
(In reply to comment #2)
> А так?
> $ readelf -dW /usr/lib64/libgs.so.9 | grep NEEDED | grep png
>  0x0000000000000001 (NEEDED)             Совм. исп. библиотека: [libpng12.so.0]
> $ readelf -dW /usr/lib64/libgs.so.9 | grep NEEDED | grep freetype
>  0x0000000000000001 (NEEDED)             Совм. исп. библиотека:
> [libfreetype.so.6]
> $ readelf -dW /usr/lib64/libfreetype.so.6 | grep NEEDED | grep png
>  0x0000000000000001 (NEEDED)             Совм. исп. библиотека:
> [libpng15.so.15]

Тут написано, что бага в том пакете, который содержит библиотеку libgs.so.9. 
Вы предлагаете такие баги на всех клиентов libgs развесить?
------- Comment #4 From 2017-03-10 03:23:13 -------
(В ответ на комментарий №3)
...
> Тут написано, что бага в том пакете, который содержит библиотеку libgs.so.9. 
> Вы предлагаете такие баги на всех клиентов libgs развесить?
Нет, я в процессе выяснения инструментов. Закрываю. Багу на libgs поставил в
зависимость.